DAVIX-LS(1)

NAME
davix-ls - Listing tool based on libdavix

SYNOPSIS

        davix-ls [options]... url

DESCRIPTION
davix-ls is a tool to list resources in directories or collection with HTTP, Webdav or REST compatible services.
The command supports the WebDav (dav(s)://) and S3 (s3(s)://).

davix-ls is powered by libdavix. See libdavix(3) for details.

OPTIONS

Listing Options:

    -l --long-list:
    long Listing mode

    --s3-listing:
    S3 bucket listing mode - flat, semi or hierarchical(default)

    --s3-maxkeys:
    Maximum number of entries returns by S3 list bucket request. default: 10000

Common Options:

    --debug
    Debug mode

    --header, -H
    Add a header field to the request (eg: -H "Depth: 1" )

    --help, -h
    Display this help message

    --metalink OPT
    Metalink support. (OPT=failover[default]|no)

    --module, -P PLUGIN_NAME
    Load a plugin or profile by name

    --redirection OPT
    Transparent redirection support. (OPT=yes[default]|no)

    --proxy, -x URL
    SOCKS5 proxy server URL. (ex: socks5://login:pass@socks.example.org)

    --trace
    Traces specific scope(s), options include:
    file - Davix file interface
    posix - Davix POSIX interface
    xml - XML parser output
    ssl - SSL and certs details
    header - HTTP queries headers
    body - HTTP bodies
    chain - IO chains info
    core - Config and Davix command line tools info
    grid - Misc info from 3rd parties
    socket - Socket info
    locks - WebDAV locking info
    all - Traces everything

    --version
    Display version

Security Options:

    --capath CA_path
    Add an additional certificate authority directory

    --cert, -E cred_path
    Client Certificate in PEM format

    --key priv_path
    Private key in PEM format

    --insecure, -k
    Disable SSL credential checks

    --userlogin
    User login for login/password authentication

    --userpass
    User password for login/password authentication

    --s3secretkey
    AWS S3 authentication: secret key

    --s3accesskey
    AWS S3 authentication: access key

    --s3region
    AWS S3 authentication: region

    --s3token
    AWS S3 security token - used along with STS temporary credentials

    --s3alternate
    Specify this flag if you need to use a path-based S3 URL

    --azurekey
    Azure authentication key

EXAMPLES

WebDav directory file listing
        davix-ls dav://example.org/dir1/dir2/

AWS S3 bucket listing
        davix-ls s3://bucket.example.org/collection/

Long listing with WebDav with VOMS authentication in a Grid environment
        davix-ls -P grid davs://grid-storage.example.org/dir1/dir2/ Long listing with WebDav + TLS directory file listing
        davix-ls -l davs://example.org/dir1/dir2/

SEE ALSO
libdavix(3),davix-get(1),davix-put(1),

LINKS
http://dmc.web.cern.ch/projects/davix/home

AUTHORS
Adrien Devresse <adrien.devresse@cern.ch>, IT-SDC-ID, CERN